Subject: Re: bug#56976: 29.0.50; Obsolete netrc.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Aug 2022 16:44:36 +0200

Michael Albinus <[email-masked]> writes:

> *This Tramp* has to work back with Emacs 26. Don't worry, I will check
> the compatibility status after your commit, and adjust as needed.

The problem is that until earlier today, auth-source-netrc-parse just
returned nil if called with no host/user parameters, so I don't know
what the compat check would be.

Perhaps it'd be more convenient if there was a new function like
`auth-source-netrc-parse-all-entries' that tramp.el could check for the
presence of?  Would that help?  (It would just be an alias, probably.)

> I'm scanning all new messages in the groups I read on gmane for some
> buzzwords, like "tramp". Those messages will be presented to me first :-)
>
> Thanks to automated gnus-summary-search-article-forward.

:-)